From 685fba24eeb639e151f126026130cc631741bcad Mon Sep 17 00:00:00 2001
From: renu tyagi <renu.tyagi@samsung.com>
Date: Thu, 18 Sep 2014 16:26:45 +0530
Subject: [PATCH 4/8] [mixer] : Fixing Double free caused by calling snd_hctl_close(hctl) twice as it is called inside snd_mixer_attach_hctl also


Signed-off-by: renu tyagi <renu.tyagi@samsung.com>
---
 src/mixer/mixer.c |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

diff --git a/src/mixer/mixer.c b/src/mixer/mixer.c
index 56e023d..eee9875 100644
--- a/src/mixer/mixer.c
+++ b/src/mixer/mixer.c
@@ -204,10 +204,8 @@ int snd_mixer_attach(snd_mixer_t *mixer, const char *name)
 	if (err < 0)
 		return err;
 	err = snd_mixer_attach_hctl(mixer, hctl);
-	if (err < 0) {
-		snd_hctl_close(hctl);
+	if (err < 0)
 		return err;
-	}
 	return 0;
 }
 
-- 
1.7.1

